### File

`packages/eui/packages/components-next/src/lib/components/eui-card/eui-card.component.ts`

### Extends

`BaseDirective`

### Implements

`OnInit` `OnDestroy` `OnChanges`

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
encapsulation | `ViewEncapsulation.None`
providers | `UiStateService`
selector | `eui-card`
styleUrls | `./styles/_index.scss`
templateUrl | `./eui-card.component.html`

### Index

###### Properties
_euiCollapsed _euiCollapsible _euiEditable _euiFlat _euiHoverable _euiInverted _euiNoContentPadding _euiNoShadow _euiSelected _euiUrgent cardContent cardFooter cardHeader cardMedia Public uiStateService
###### Methods
Public closeCard Public openCard Public toggleCard
###### Inputs
e2eAttr euiCollapsed euiCollapsible euiEditable euiFlat euiHoverable euiInverted euiNoContentPadding euiNoShadow euiSelected euiUrgent
###### Outputs
close collapse onCollapsed open
###### HostBindings
class
###### Accessors
euiSelected euiCollapsible euiCollapsed euiUrgent euiNoShadow euiNoContentPadding euiHoverable euiFlat euiInverted euiEditable

### Constructor

`constructor(uiStateService: UiStateService)`
Parameters :
Name | Type | Optional
uiStateService | `UiStateService` | No

### Inputs

e2eAttr
Type : `string`
Default value : `'eui-card'`

euiCollapsed

euiCollapsible

euiEditable

euiFlat

euiHoverable

euiInverted

euiNoContentPadding

euiNoShadow

euiSelected

euiUrgent

### Outputs

close
Type : `EventEmitter<boolean>`

collapse
Type : `EventEmitter<boolean>`

onCollapsed
Type : `EventEmitter<boolean>`

open
Type : `EventEmitter<boolean>`

### HostBindings

class

### Methods

Public closeCard
`closeCard()`
Close eui-card Returns : `void`

Public openCard
`openCard()`
Open eui-card Returns : `void`

Public toggleCard
`toggleCard()`
Toggle eui-card opening state Returns : `void`

### Properties

_euiCollapsed
Default value : `false`

_euiCollapsible
Default value : `false`

_euiEditable
Default value : `false`

_euiFlat
Default value : `true`

_euiHoverable
Default value : `false`

_euiInverted
Default value : `false`

_euiNoContentPadding
Default value : `false`

_euiNoShadow
Default value : `false`

_euiSelected
Default value : `false`

_euiUrgent
Default value : `false`

cardContent
Type : `QueryList<EuiCardContentComponent>`
Decorators : `@ContentChild(undefined, {static: false})`

cardFooter
Type : `QueryList<EuiCardFooterComponent>`
Decorators : `@ContentChild(undefined, {static: false})`

cardHeader
Type : `QueryList<EuiCardHeaderComponent>`
Decorators : `@ContentChild(undefined, {static: false})`

cardMedia
Type : `QueryList<EuiCardMediaComponent>`
Decorators : `@ContentChild(undefined, {static: false})`

Public uiStateService
Type : `UiStateService`

### Accessors

euiSelected
set `euiSelected(value)`
Parameters :
Name | Optional
value | No
Returns : `void`

euiCollapsible
set `euiCollapsible(value)`
Parameters :
Name | Optional
value | No
Returns : `void`

euiCollapsed
set `euiCollapsed(value)`
Parameters :
Name | Optional
value | No
Returns : `void`

euiUrgent
set `euiUrgent(value)`
Parameters :
Name | Optional
value | No
Returns : `void`

euiNoShadow
set `euiNoShadow(value)`
Parameters :
Name | Optional
value | No
Returns : `void`

euiNoContentPadding
set `euiNoContentPadding(value)`
Parameters :
Name | Optional
value | No
Returns : `void`

euiHoverable
set `euiHoverable(value)`
Parameters :
Name | Optional
value | No
Returns : `void`

euiFlat
set `euiFlat(value)`
Parameters :
Name | Optional
value | No
Returns : `void`

euiInverted
set `euiInverted(value)`
Parameters :
Name | Optional
value | No
Returns : `void`

euiEditable
set `euiEditable(value)`
Parameters :
Name | Optional
value | No
Returns : `void`

# result-matching ""

# No results matching ""